Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Hierarchy

    java.lang.Object
      com.tonbeller.jpivot.xmla.XMLA_Hierarchy

All Implemented Interfaces:
  Exp, Decorator, Displayable, Expression, Hierarchy, Visitable, MDXElement

    public class XMLA_Hierarchy

extends java.lang.Object
implements Hierarchy, Exp, MDXElement

Hierarchy for XMLA

Field Summary
`static int` | `STRUCTURE_FULLYBALANCED`
`static int` | `STRUCTURE_RAGGEDBALANCED`
`static int` | `STRUCTURE_UNBALANCED`

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`XMLA_Hierarchy(XMLA_Model model)`

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`void` | `accept(Visitor visitor)`
`void` | `addLevel(Level lev)` add level for this hierarchy
`java.lang.Object` | `clone()`
`Member` | `getAllMember()` Returns the allMember.
`java.lang.String` | `getAllMemberName()` Returns the allMember.
`java.lang.String` | `getCaption()` Returns the caption.
`int` | `getCardinality()` Returns the cardinality.
`java.lang.String` | `getDefaultMember()` Returns the defaultMember.
`Dimension` | `getDimension()` get the Dimension to which this Hierarchy belongs.
`int` | `getDimType()` Returns the dimType.
`java.lang.String` | `getDimUniqueName()` Returns the dimUniqueName.
`int` | `getDimUniqueSettings()` Returns the dimUniqueSettings.
`java.lang.String` | `getLabel()` name of this item
`Level[]` | `getLevels()` get the Levels of this Hierarchy.
`int` | `getOrdinal()` Returns the ordinal.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`int` | `getStructure()` Returns the structure.
`java.lang.String` | `getUniqueName()` Returns the uniqueName.
`boolean` | `hasAll()`
`boolean` | `isDimShared()` Returns the isDimShared.
`boolean` | `isDimVisible()` Returns the isDimVisible.
`boolean` | `isEqual(XMLA_Hierarchy other)`
`protected boolean` | `isMembersGotten()` Returns the isMembersGotten.
`boolean` | `isReadWrite()` Returns the isReadWrite.
`boolean` | `isVirtual()` Returns the isVirtual.
`void` | `setAllMember(java.lang.String allMember)` Sets the allMember.
`void` | `setCaption(java.lang.String caption)` Sets the caption.
`void` | `setCardinality(int cardinality)` Sets the cardinality.
`void` | `setDefaultMember(java.lang.String defaultMember)` Sets the defaultMember.
`void` | `setDimension(Dimension dimension)` Sets the dimension.
`void` | `setDimShared(boolean isDimShared)` Sets the isDimShared.
`void` | `setDimType(int dimType)` Sets the dimType.
`void` | `setDimUniqueName(java.lang.String dimUniqueName)` Sets the dimUniqueName.
`void` | `setDimUniqueSettings(int dimUniqueSettings)` Sets the dimUniqueSettings.
`void` | `setDimVisible(boolean isDimVisible)` Sets the isDimVisible.
`protected void` | `setMembersGotten(boolean isMembersGotten)` Sets the isMembersGotten.
`void` | `setOrdinal(int ordinal)` Sets the ordinal.
`void` | `setReadWrite(boolean isReadWrite)` Sets the isReadWrite.
`void` | `setStructure(int structure)` Sets the structure.
`void` | `setUniqueName(java.lang.String uniqueName)` Sets the uniqueName.
`void` | `setVirtual(boolean isVirtual)` Sets the isVirtual.
`java.lang.String` | `toMdx()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCTURE_FULLYBALANCED

    public static final int STRUCTURE_FULLYBALANCED

See Also:
  Constant Field Values

### STRUCTURE_RAGGEDBALANCED

    public static final int STRUCTURE_RAGGEDBALANCED

See Also:
  Constant Field Values

### STRUCTURE_UNBALANCED

    public static final int STRUCTURE_UNBALANCED

See Also:
  Constant Field Values

Constructor Detail

### XMLA_Hierarchy

    public XMLA_Hierarchy(XMLA_Model model)

Method Detail

### getAllMemberName

    public java.lang.String getAllMemberName()

  Returns the allMember.

  Returns:
    String

### getAllMember

    public Member getAllMember()

  Returns the allMember.

  Returns:
    Member

### getCaption

    public java.lang.String getCaption()

  Returns the caption.

  Returns:
    String

### getCardinality

    public int getCardinality()

  Returns the cardinality.

  Returns:
    int

### getDefaultMember

    public java.lang.String getDefaultMember()

  Returns the defaultMember.

  Returns:
    String

### getDimType

    public int getDimType()

  Returns the dimType.

  Returns:
    int

### getDimUniqueName

    public java.lang.String getDimUniqueName()

  Returns the dimUniqueName.

  Returns:
    String

### getDimUniqueSettings

    public int getDimUniqueSettings()

  Returns the dimUniqueSettings.

  Returns:
    int

### isDimShared

    public boolean isDimShared()

  Returns the isDimShared.

  Returns:
    boolean

### isDimVisible

    public boolean isDimVisible()

  Returns the isDimVisible.

  Returns:
    boolean

### isReadWrite

    public boolean isReadWrite()

  Returns the isReadWrite.

  Returns:
    boolean

### isVirtual

    public boolean isVirtual()

  Returns the isVirtual.

  Returns:
    boolean

### getOrdinal

    public int getOrdinal()

  Returns the ordinal.

  Returns:
    int

### getStructure

    public int getStructure()

  Returns the structure.

  Returns:
    int

### getUniqueName

    public java.lang.String getUniqueName()

  Returns the uniqueName.

  Specified by:
    `getUniqueName` in interface `MDXElement`
  Returns:
    String

### setAllMember

    public void setAllMember(java.lang.String allMember)

  Sets the allMember.

  Parameters:
    `allMember` - The allMember to set

### setCaption

    public void setCaption(java.lang.String caption)

  Sets the caption.

  Parameters:
    `caption` - The caption to set

### setCardinality

    public void setCardinality(int cardinality)

  Sets the cardinality.

  Parameters:
    `cardinality` - The cardinality to set

### setDefaultMember

    public void setDefaultMember(java.lang.String defaultMember)

  Sets the defaultMember.

  Parameters:
    `defaultMember` - The defaultMember to set

### setDimType

    public void setDimType(int dimType)

  Sets the dimType.

  Parameters:
    `dimType` - The dimType to set

### setDimUniqueName

    public void setDimUniqueName(java.lang.String dimUniqueName)

  Sets the dimUniqueName.

  Parameters:
    `dimUniqueName` - The dimUniqueName to set

### setDimUniqueSettings

    public void setDimUniqueSettings(int dimUniqueSettings)

  Sets the dimUniqueSettings.

  Parameters:
    `dimUniqueSettings` - The dimUniqueSettings to set

### setDimShared

    public void setDimShared(boolean isDimShared)

  Sets the isDimShared.

  Parameters:
    `isDimShared` - The isDimShared to set

### setDimVisible

    public void setDimVisible(boolean isDimVisible)

  Sets the isDimVisible.

  Parameters:
    `isDimVisible` - The isDimVisible to set

### setReadWrite

    public void setReadWrite(boolean isReadWrite)

  Sets the isReadWrite.

  Parameters:
    `isReadWrite` - The isReadWrite to set

### setVirtual

    public void setVirtual(boolean isVirtual)

  Sets the isVirtual.

  Parameters:
    `isVirtual` - The isVirtual to set

### setOrdinal

    public void setOrdinal(int ordinal)

  Sets the ordinal.

  Parameters:
    `ordinal` - The ordinal to set

### setStructure

    public void setStructure(int structure)

  Sets the structure.

  Parameters:
    `structure` - The structure to set

### setUniqueName

    public void setUniqueName(java.lang.String uniqueName)

  Sets the uniqueName.

  Parameters:
    `uniqueName` - The uniqueName to set

### getDimension

    public Dimension getDimension()

  Description copied from interface: `Hierarchy`
  get the Dimension to which this Hierarchy belongs.

  Specified by:
    `getDimension` in interface `Hierarchy`
  See Also:
    `Hierarchy.getDimension()`

### getLevels

    public Level[] getLevels()

  Description copied from interface: `Hierarchy`
  get the Levels of this Hierarchy. Returns null, if this is a ragged hierarchy that does not support levels.

  Specified by:
    `getLevels` in interface `Hierarchy`
  See Also:
    `Hierarchy.getLevels()`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `Displayable`
  name of this item

  Specified by:
    `getLabel` in interface `Displayable`
  See Also:
    `Displayable.getLabel()`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`
  See Also:
    `Decorator.getRootDecoree()`

### setDimension

    public void setDimension(Dimension dimension)

  Sets the dimension.

  Parameters:
    `dimension` - The dimension to set

### addLevel

    public void addLevel(Level lev)

  add level for this hierarchy

  Parameters:
    `lev` -

### isEqual

    public boolean isEqual(XMLA_Hierarchy other)

  Parameters:
    `other` -
  Returns:
    boolean

### isMembersGotten

    protected boolean isMembersGotten()

  Returns the isMembersGotten.

  Returns:
    boolean

### setMembersGotten

    protected void setMembersGotten(boolean isMembersGotten)

  Sets the isMembersGotten.

  Parameters:
    `isMembersGotten` - The isMembersGotten to set

### toMdx

    public java.lang.String toMdx()

  Specified by:
    `toMdx` in interface `Exp`
  Returns:
    the unique name

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `probably not needed any more`

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

### hasAll

    public boolean hasAll()

  Specified by:
    `hasAll` in interface `Hierarchy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD